package nsdb.LocationPackage;
final public class LocPhysicalSegmentHolder
	implements org.omg.CORBA.portable.Streamable
{
	public java.lang.String value;

	public LocPhysicalSegmentHolder ()
	{
	}
	public LocPhysicalSegmentHolder (java.lang.String initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return LocPhysicalSegmentHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream in)
	{
		value = LocPhysicalSegmentHelper.read(in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream out)
	{
		LocPhysicalSegmentHelper.write(out,value);
	}
}
